Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Container_T< TYPE > Class Template Reference

A template class that manages a collection. TYPE = type of collection. More...

`#include <Container_T.h>`

Inheritance diagram for TAO_Notify_Container_T< TYPE >:

[legend]
Collaboration diagram for TAO_Notify_Container_T< TYPE >:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Container_T (void)
| Constuctor.
virtual | ~TAO_Notify_Container_T ()
| Destructor.
void | init (ACE_ENV_SINGLE_ARG_DECL)
| Init this object.
virtual void | insert (TYPE *type ACE_ENV_ARG_DECL)
| Insert object to this container.
virtual void | remove (TYPE *type ACE_ENV_ARG_DECL)
| Remove type from container_.
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL)
| Shutdown.
COLLECTION * | collection (void)
| Collection.
## Protected Attributes
COLLECTION * | collection_
| The collection data structure that we add objects to.
## Private Types
typedef TAO_ESF_Proxy_Collection< TYPE > | COLLECTION

## Detailed Description

### template<class TYPE>
class TAO_Notify_Container_T< TYPE >

A template class that manages a collection. TYPE = type of collection.

## Member Typedef Documentation

template<class TYPE>
typedef TAO_ESF_Proxy_Collection<TYPE> TAO_Notify_Container_T< TYPE >::COLLECTION`[private]`

## Constructor & Destructor Documentation

template<class TYPE>
TAO_Notify_Container_T< TYPE >::TAO_Notify_Container_T | ( | void |  | ) |

| Constuctor.

template<class TYPE>
TAO_Notify_Container_T< TYPE >::~TAO_Notify_Container_T | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class TYPE>
COLLECTION* TAO_Notify_Container_T< TYPE >::collection | ( | void |  | ) |

| Collection.

template<class TYPE>
void TAO_Notify_Container_T< TYPE >::init | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Init this object.

template<class TYPE>
void TAO_Notify_Container_T< TYPE >::insert | ( | TYPE *type | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Insert object to this container.

template<class TYPE>
void TAO_Notify_Container_T< TYPE >::remove | ( | TYPE *type | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Remove type from container_.

template<class TYPE>
void TAO_Notify_Container_T< TYPE >::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Shutdown.

## Member Data Documentation

template<class TYPE>
COLLECTION* TAO_Notify_Container_T< TYPE >::collection_`[protected]`

| The collection data structure that we add objects to.

The documentation for this class was generated from the following files:

- Container_T.h
- Container_T.cpp